> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steppay.kr/llms.txt
> Use this file to discover all available pages before exploring further.

# 구독 주기 변경

> 구독 주기를 변경합니다.



## OpenAPI

````yaml /steppay_v1.json put /api/v1/subscriptions/{subscriptionId}/interval
openapi: 3.0.1
info:
  title: STEPPAY
  version: '1.0'
  contact:
    name: Steppay
    url: https://www.steppay.kr
    email: contact@steppay.kr
servers:
  - url: https://api.steppay.kr
    description: Generated server url
security:
  - Secret-Token: []
paths:
  /api/v1/subscriptions/{subscriptionId}/interval:
    put:
      tags:
        - 구독 API
      summary: 구독 주기 변경
      description: 구독 주기를 변경합니다.
      operationId: v1_changeSubscriptionRecurring
      parameters:
        - name: subscriptionId
          in: path
          description: 구독 번호
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubscriptionChangeRecurringDTO'
        required: true
      responses:
        '200':
          description: 정상적으로 변경됨
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductApiresponse'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductErrorresponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductErrorresponse'
        '404':
          description: 구독을 찾지 못 함
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ApiResponseUnit'
components:
  schemas:
    SubscriptionChangeRecurringDTO:
      title: 구독 주기 변경 정보
      required:
        - interval
        - intervalCount
      type: object
      properties:
        interval:
          type: string
          description: 구독 주기 단위
          enum:
            - DAY
            - WEEK
            - MONTH
            - YEAR
        intervalCount:
          type: integer
          description: 구독 주기
          format: int32
      description: 변경할 주기 정보
    ProductApiresponse:
      title: 단순 API 응답
      required:
        - message
      type: object
      properties:
        message:
          type: string
          description: 결과에 대한 메세지
        body:
          type: object
          description: 관련 데이터
    ProductErrorresponse:
      required:
        - errorCode
      type: object
      properties:
        traceId:
          type: string
        errorCode:
          type: string
        errorMessage:
          type: string
        details:
          $ref: '#/components/schemas/ReturnError'
    ApiResponseUnit:
      title: 단순 API 응답
      required:
        - message
      type: object
      properties:
        message:
          type: string
          description: 결과에 대한 메세지
        body:
          $ref: '#/components/schemas/Unit'
    ReturnError:
      type: object
    Unit:
      type: object
  securitySchemes:
    Secret-Token:
      type: apiKey
      in: header
      name: Secret-Token

````